﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.TaskScheduler.Models
{
    public class ComandExecution
    {
        [JsonIgnore]
        public bool? IsTimeout { set; get; }

        [JsonIgnore]
        public bool? IsWaited { set; get; }

        public bool IsRepliedbyEVSE { set; get; }

        [JsonIgnore]
        public int Code { set; get; }

       
        public string Detail { set; get; }

       
        public string Result { set; get; }
    }

    public enum CommandResultType
    {
        Waited,//server
        Timeout,//server
        Accepted,
        Rejected,
        Failed,
        Occupied,
        Notsupported,
        Unknown,
        EVSE_ERROR//EVSE Replied error call


    }
}
